Bug 985427 - [abrt] WARNING: at fs/btrfs/super.c:255 __btrfs_abort_transaction+0xcf/0xf0 [btrfs]()
[abrt] WARNING: at fs/btrfs/super.c:255 __btrfs_abort_transaction+0xcf/0xf0 [...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fs-maint
Fedora Extras Quality Assurance
abrt_hash:4a7fb242ef12b7998d1867110ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 09:12 EDT by Juan Orti
Modified: 2013-09-23 16:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 16:26:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (110.64 KB, text/plain)
2013-07-17 09:12 EDT, Juan Orti
no flags Details

  None (edit)
Description Juan Orti 2013-07-17 09:12:49 EDT
Description of problem:
I have a btrfs that spans over 3 Luks partitions. It's configured with data and metadata in raid1. 
I issued this command to remove one of the partitions:

# btrfs device delete /dev/mapper/luks-2e56f3a5-63bc-4c7c-903f-cca89a1ccbf6 /tmp/btrfs

After some time, it crashed and remounted the filesystems read-only. I was forced to do a btrfs check --repair to be able to mount it again read-write.

Additional info:
reporter:       libreport-2.1.5
WARNING: at fs/btrfs/super.c:255 __btrfs_abort_transaction+0xcf/0xf0 [btrfs]()
Hardware name: System Product Name
Modules linked in: vhost_net macvtap macvlan ebtable_nat xt_CHECKSUM tun nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle bridge nf_conntrack_ipv4 stp llc nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables btrfs zlib_deflate raid6_pq libcrc32c xor vfat fat eeepc_wmi asus_wmi sparse_keymap rfkill iTCO_wdt iTCO_vendor_support mperf coretemp snd_hda_codec_hdmi kvm_intel snd_hda_codec_realtek kvm microcode snd_hda_intel snd_usb_audio snd_hda_codec snd_usbmidi_lib snd_hwdep snd_rawmidi i2c_i801 uvcvideo snd_seq videobuf2_vmalloc videobuf2_memops mceusb videobuf2_core snd_seq_device rc_core videodev snd_pcm media lpc_ich snd_page_alloc snd_timer mfd_core r8169 snd mii soundcore mei wmi uinput dm_crypt usb_storage i915 i2c_algo_bit crc32_pclmul crc32c_intel drm_kms_helper drm ghash_clmulni_intel i2c_core video
Pid: 16642, comm: btrfs Not tainted 3.9.9-302.fc19.x86_64 #1
Call Trace:
 [<ffffffffa03b0d00>] ? __btrfs_abort_transaction+0x70/0xf0 [btrfs]
 [<ffffffff8105cc56>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105ccbc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa03b0d5f>] __btrfs_abort_transaction+0xcf/0xf0 [btrfs]
 [<ffffffffa03c9e79>] btrfs_run_delayed_refs+0x409/0x500 [btrfs]
 [<ffffffffa03ca0de>] btrfs_write_dirty_block_groups+0x16e/0x610 [btrfs]
 [<ffffffffa03d825c>] commit_cowonly_roots+0x16c/0x260 [btrfs]
 [<ffffffffa03da01d>] btrfs_commit_transaction+0x56d/0xa80 [btrfs]
 [<ffffffff81081050>] ? wake_up_bit+0x30/0x30
 [<ffffffffa03bceb0>] ? block_rsv_add_bytes+0x20/0x60 [btrfs]
 [<ffffffffa041faad>] prepare_to_relocate+0xfd/0x1b0 [btrfs]
 [<ffffffffa0424774>] relocate_block_group+0x44/0x690 [btrfs]
 [<ffffffffa03db4d5>] ? btrfs_clean_old_snapshots+0x35/0x120 [btrfs]
 [<ffffffffa0424f7d>] btrfs_relocate_block_group+0x1bd/0x300 [btrfs]
 [<ffffffffa03fc4d9>] btrfs_relocate_chunk.isra.31+0x59/0x470 [btrfs]
 [<ffffffffa03f8bef>] ? free_extent_buffer+0x4f/0xa0 [btrfs]
 [<ffffffffa0400b99>] btrfs_shrink_device+0x1e9/0x420 [btrfs]
 [<ffffffffa0402da2>] btrfs_rm_device+0x2a2/0x850 [btrfs]
 [<ffffffffa040bf4d>] btrfs_ioctl+0xc1d/0x1ca0 [btrfs]
 [<ffffffff8164aac4>] ? __do_page_fault+0x1f4/0x510
 [<ffffffff8115f208>] ? __vma_link_rb+0xb8/0xe0
 [<ffffffff811ab495>] do_vfs_ioctl+0x305/0x520
 [<ffffffff8129495e>] ? file_has_perm+0x8e/0xa0
 [<ffffffff811ab731>] sys_ioctl+0x81/0xa0
 [<ffffffff8164adee>] ? do_page_fault+0xe/0x10
 [<ffffffff8164f319>] system_call_fastpath+0x16/0x1b
Comment 1 Juan Orti 2013-07-17 09:12:55 EDT
Created attachment 774770 [details]
File: dmesg
Comment 2 Juan Orti 2013-07-17 09:19:18 EDT
Description of problem:
I have a btrfs that spans over 3 Luks partitions. It's configured with data and metadata in raid1. 
I issued this command to remove one of the partitions:

# btrfs device delete /dev/mapper/luks-2e56f3a5-63bc-4c7c-903f-cca89a1ccbf6 /tmp/btrfs

After some time, it crashed and remounted the filesystems read-only. I was forced to do a btrfs check --repair to be able to mount it again read-write.

This is the same crash as bug #985427 . I think I rebooted the system here.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/vmlinuz-3.9.9-302.fc19.x86_64 root=/dev/mapper/vg_ssd-root ro rd.luks.uuid=luks-1af43d2c-cafe-4dc3-88ca-553a332b2137 rd.md=0 rd.dm=0 vconsole.keymap=es rd.lvm.lv=vg_ssd/root rd.lvm.lv=vg_ssd/swap crashkernel=128M rhgb quiet
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at fs/btrfs/super.c:255 __btrfs_abort_transaction+0xcf/0xf0 [btrfs]()
Hardware name: System Product Name
Modules linked in: vhost_net macvtap macvlan ebtable_nat xt_CHECKSUM tun nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables bridge ip6table_filter stp llc ip6_tables btrfs zlib_deflate raid6_pq libcrc32c xor vfat fat eeepc_wmi iTCO_wdt asus_wmi iTCO_vendor_support sparse_keymap rfkill mperf coretemp kvm_intel kvm snd_hda_codec_hdmi uvcvideo snd_hda_codec_realtek videobuf2_vmalloc microcode videobuf2_memops videobuf2_core snd_usb_audio videodev snd_usbmidi_lib snd_rawmidi media snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device i2c_i801 mceusb rc_core snd_pcm r8169 mii lpc_ich mfd_core snd_page_alloc snd_timer snd soundcore mei wmi uinput dm_crypt usb_storage i915 crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel drm i2c_core video
Pid: 749, comm: btrfs-transacti Not tainted 3.9.9-302.fc19.x86_64 #1
Call Trace:
 [<ffffffffa03ced00>] ? __btrfs_abort_transaction+0x70/0xf0 [btrfs]
 [<ffffffff8105cc56>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105ccbc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa03ced5f>] __btrfs_abort_transaction+0xcf/0xf0 [btrfs]
 [<ffffffffa03e7e79>] btrfs_run_delayed_refs+0x409/0x500 [btrfs]
 [<ffffffffa03e80de>] btrfs_write_dirty_block_groups+0x16e/0x610 [btrfs]
 [<ffffffffa03f625c>] commit_cowonly_roots+0x16c/0x260 [btrfs]
 [<ffffffffa03f801d>] btrfs_commit_transaction+0x56d/0xa80 [btrfs]
 [<ffffffff81081050>] ? wake_up_bit+0x30/0x30
 [<ffffffffa03f0b1d>] transaction_kthread+0x18d/0x220 [btrfs]
 [<ffffffffa03f0990>] ? btrfs_destroy_delayed_refs.isra.48+0x320/0x320 [btrfs]
 [<ffffffff810802a0>] kthread+0xc0/0xd0
 [<ffffffff810801e0>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8164f26c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810801e0>] ? insert_kthread_work+0x40/0x40
Comment 3 Juan Orti 2013-07-17 16:29:12 EDT
After two more times trying to remove the device, I've done it unmounting all the btrfs volumes.
Comment 4 Josh Boyer 2013-09-18 16:42:30 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 5 Josef Bacik 2013-09-23 16:26:14 EDT
If you can reproduce this on a recent kernel please report a bugzilla at bugzilla.kernel.org and set the component to btrfs.

Note You need to log in before you can comment on or make changes to this bug.